Get TLS settings¶
GET/
Endpoint API · Web Control
Get settings for SSL/TLS decryption of HTTPS websites.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/tls-decryption" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/tls-decryption",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/tls-decryption" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/tls-decryption", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/tls-decryption", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Web decryption settings.¶
Response fields
categoriesarray of objectWeb categories.
Items must be unique.
Items must be unique.
Web category for SSL/TLS decryption of HTTPS websites.
Show child attributesHide child attributes
idintegerWeb decryption category ID matching the Web Control categories.
Must be one of:
Must be one of:
10, 14, 20, 27, 54.namestringMnemonic name of this category.
labelstringHuman readable name of this category.
decryptionEnabledbooleanWhether web decryption is enabled on websites in this category.
excludedWebsitesobjectShow child attributesHide child attributes
itemsCountintegerMust be ≥ 0 and ≤ 500.
totalintegerMust be ≥ 0 and ≤ 500.
itemsarray of objectWebsites excluded from decryption.
Must contain at most 500 items.
Must contain at most 500 items.
A website IP, range of IPs or domain to be excluded from SSL/TLS decryption of HTTPS websites.
Show child attributesHide child attributes
valuestringWebsite IP address, IP address range or domain.
commentstringComment indicating why the site was excluded.
Errors¶
| Status | Meaning |
|---|---|
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.